[SOLVED] missing deps for diffuse module

Please reproduce your error on a second machine before posting, and check the error by running without saved changes or extra modules (See FAQ No. 13, "How to report a bug"). For unstable Porteus versions (alpha, beta, rc) please use the relevant thread in our "Development" section.
Post Reply
aus9

[SOLVED] missing deps for diffuse module

Post#1 by aus9 » 23 Oct 2015, 06:59

I am not sure if this is correct forum so pls move etc

diffuse is a graphical diff app and here is error message and what I believe are the missing deps

Code: Select all

guest@porteus:~$ ls /mnt/live/memory/images
000-kernel.xzm/                   003-xfce.xzm/                          google-chrome-39.0.2171.65-x86_64-bundle.xzm/  usm-latest-0.0-noarch-1.xzm/
001-core.xzm/                     004-xfce_fixes-150124.xzm/             locales-en_AU.utf8-x86_64-1prt.xzm/            vlc-2.2.1-x86_64-bundle.xzm/
001-core_alldesktops-150124.xzm/  004-xfce_fixes-151003.xzm/             mtpaint-3.40-x86_64-bundle.xzm/                xxdiff-401-x86_64-1_slack.xzm/
002-xorg.xzm/                     AlsaMixer.app-0.1-x86_64-1_slack.xzm/  nano-2.3.2-x86_64-1.xzm/                       youtube-dl-2015.10.09-x86_64-bundle.xzm/
002-xorg_alldesktops-150126.xzm/  diffuse-0.4.8-x86_64-1_slack.xzm/      python-2.7.5-x86_64-1.xzm/
guest@porteus:~$ diffuse
Traceback (most recent call last):
  File "/usr/bin/diffuse", line 124, in <module>
    import pygtk
ImportError: No module named pygtk
guest@porteus:~$ diffuse (success)
guest@porteus:~$ ls /mnt/live/memory/images
000-kernel.xzm/                   004-xfce_fixes-150124.xzm/                     mtpaint-3.40-x86_64-bundle.xzm/  usm-latest-0.0-noarch-1.xzm/
001-core.xzm/                     004-xfce_fixes-151003.xzm/                     nano-2.3.2-x86_64-1.xzm/         vlc-2.2.1-x86_64-bundle.xzm/
001-core_alldesktops-150124.xzm/  AlsaMixer.app-0.1-x86_64-1_slack.xzm/          pycairo-1.8.10-x86_64-2.xzm/     xxdiff-401-x86_64-1_slack.xzm/
002-xorg.xzm/                     diffuse-0.4.8-x86_64-1_slack.xzm/              pygobject-2.28.6-x86_64-2.xzm/   youtube-dl-2015.10.09-x86_64-bundle.xzm/
002-xorg_alldesktops-150126.xzm/  google-chrome-39.0.2171.65-x86_64-bundle.xzm/  pygtk-2.24.0-x86_64-1.xzm/
003-xfce.xzm/                     locales-en_AU.utf8-x86_64-1prt.xzm/            python-2.7.5-x86_64-1.xzm/
In case you can't see it, I had to use USM to search for pygtk and needed to download and activate
pycairo-1.8.10-x86_64-2.xzm
pygobject-2.28.6-x86_64-2.xzm
pygtk-2.24.0-x86_64-1.xzm

If it helps I should mention I already have python-2.7.5-x86_64-1.xzm in my system

Now diffuse starts as in

Code: Select all

diffuse file1 file2
Last edited by aus9 on 23 Oct 2015, 23:16, edited 3 times in total.

User avatar
brokenman
Site Admin
Site Admin
Posts: 5575
Joined: 27 Dec 2010, 03:50
Distribution: Porteus v3.2rcX all desktops
Location: Brazil
Contact:

Re: missing deps for diffuse module

Post#2 by brokenman » 23 Oct 2015, 17:36

This section (modules) is for people that have produced modules and are offering them for download. I will move it to USM bugs as USM should pick up dependencies for this. I have updated the server so it now pulls them. If it doesn't please delete /etc/usm/extra-deps.txt and then update all: usm -u all

Thanks for reporting.
How do i become super user?
Wear your underpants on the outside and put on a cape.

aus9

Re: missing deps for diffuse module

Post#3 by aus9 » 23 Oct 2015, 23:06

Hi
If it doesn't please delete /etc/usm/extra-deps.txt and then update all: usm -u all
As predicted I needed to do above. ^^

code space truncated

Code: Select all

usm -g diffuse...... The following items were found.  Choose an number to confirm.  ctrl+c to quit

1) diffuse-0.4.8-x86_64-1_slack.txz
#? 1
Processing:   diffuse-0.4.8-x86_64-1_slack.txz 
 The following packages are required. 
diffuse-0.4.8-x86_64-1_slack.txz [320K] [not installed]
pycairo-1.8.10-x86_64-2.txz [48K] [not installed]
pygobject-2.28.6-x86_64-2.txz [404K] [not installed]
pygtk-2.24.0-x86_64-1.txz [1708K] [not installed]
Marked as solved
thanks

Post Reply